Subject: bug#30961: Byte compilation problem with emacs-org

From: Konrad Hinsen <[email-masked]>
Date: Sat, 31 Mar 2018 10:23:04 +0200

Konrad Hinsen <[email-masked]> writes:

> I tried to remove the old org-mode from load-path during byte
> compilation of the new version by manipulating EMACSLOADPATH, so far
> without success. If Emacs' basic "lisp" dir is not on EMACSLOADPATH,

I managed to do this in the end, and it does solve the problem. So it
seems that merely having the old version on load-path, without ever
loading it, is sufficient to break byte compilation of the new version.

I will try to prepare a patch for fixing this.

Konrad.